--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/public/stripe/ipn.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/public/stripe/ipn.php	2025-05-06 09:38:45.569450000 +0000
@@ -861,12 +926,12 @@
 				$payment_amountInDolibarr = $obj->amount;
 				$paymentTypeCodeInDolibarr = empty($obj->type) ? 'card' : $obj->type;
 
-				dol_syslog("Found the payment intent for card in database (pdid = ".$pdid." directdebitorcreditransfer_id=".$directdebitorcreditransfer_id.")");
+				dol_syslog("Found the payment intent for card in database (pdid = " . $pdid . " directdebitorcreditransfer_id=" . $directdebitorcreditransfer_id . ")");
 			}
 		} else {
-			dol_syslog("Payment intent ".$TRANSACTIONID." not found into database, so ignored.");
+			dol_syslog("Payment intent " . $TRANSACTIONID . " not found into database, so ignored.");
 			http_response_code(200);
-			print "Payment intent ".$TRANSACTIONID." not found into database, so ignored.";
+			print "Payment intent " . $TRANSACTIONID . " not found into database, so ignored.";
 			return 1;
 		}
 	} else {
@@ -875,16 +940,16 @@
 		return -1;
 	}
 
-	dol_syslog("objinvoiceid=".$invoice_id);
+	dol_syslog("objinvoiceid=" . $invoice_id);
 	$tmpinvoice = new Facture($db);
 	$tmpinvoice->fetch($invoice_id);
 	$tmpinvoice->fetch_thirdparty();
 
-	dol_syslog("The payment disputed is ".$amountdispute." and the invoice is ".$payment_amountInDolibarr);
+	dol_syslog("The payment disputed is " . $amountdispute . " and the invoice is " . $payment_amountInDolibarr);
 
 	if ($amountdispute != $payment_amountInDolibarr) {
 		http_response_code(500);
-		print "The payment disputed is ".$amountdispute." and the invoice is ".$payment_amountInDolibarr.". Amount differs, we don't know what to do.";
+		print "The payment disputed is " . $amountdispute . " and the invoice is " . $payment_amountInDolibarr . ". Amount differs, we don't know what to do.";
 		return -1;
 	}
 
@@ -905,7 +970,7 @@
 	*/
 	$paiement->paiementid   = dol_getIdFromCode($db, 'PRE', 'c_paiement', 'code', 'id', 1);
 	$paiement->num_payment  = $object->id;	// A string like 'du_...'
-	$paiement->note_public = 'Fund withdrawn by bank. Reason: '.$reason;
+	$paiement->note_public = 'Fund withdrawn by bank. Reason: ' . $reason;
 	$paiement->note_private = '';
 	$paiement->fk_account   = $accountfrom->id;
 
@@ -916,7 +981,7 @@
 	if ($alreadytransferedinaccounting) {
 		// TODO Test if invoice already in accountancy.
 		// What to do ?
-		$errormsg = 'Error: the invoice '.$tmpinvoice->id.' is already transferred into accounting. Don\'t know what to do.';
+		$errormsg = 'Error: the invoice ' . $tmpinvoice->id . ' is already transferred into accounting. Don\'t know what to do.';
 		$error++;
 	}
 
@@ -924,7 +989,7 @@
 		// Switch back the invoice to status validated
 		$result = $tmpinvoice->setStatut(Facture::STATUS_VALIDATED);
 		if ($result < 0) {
-			$errormsg = $tmpinvoice->error.implode(', ', $tmpinvoice->errors);
+			$errormsg = $tmpinvoice->error . implode(', ', $tmpinvoice->errors);
 			$error++;
 		}
 	}
@@ -932,7 +997,7 @@
 	if (! $error) {
 		$paiement_id = $paiement->create($user, 0, $tmpinvoice->thirdparty); // This include regenerating documents
 		if ($paiement_id < 0) {
-			$errormsg = $paiement->error.implode(', ', $paiement->errors);
+			$errormsg = $paiement->error . implode(', ', $paiement->errors);
 			$error++;
 		}
 	}

########## societe/class/societe.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/societe/class/societe.class.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/societe/class/societe.class.php	2025-02-27 08:48:52.570391000 +0000
@@ -4630,10 +4630,6 @@
 		$this->idprof4 = getDolGlobalString('MAIN_INFO_RCS');
 		$this->idprof5 = getDolGlobalString('MAIN_INFO_PROFID5');
 		$this->idprof6 = getDolGlobalString('MAIN_INFO_PROFID6');
-		$this->idprof7 = getDolGlobalString('MAIN_INFO_PROFID7');
-		$this->idprof8 = getDolGlobalString('MAIN_INFO_PROFID8');
-		$this->idprof9 = getDolGlobalString('MAIN_INFO_PROFID9');
-		$this->idprof10 = getDolGlobalString('MAIN_INFO_PROFID10');
 		$this->tva_intra = getDolGlobalString('MAIN_INFO_TVAINTRA'); // VAT number, not necessarily INTRA.
 		$this->managers = getDolGlobalString('MAIN_INFO_SOCIETE_MANAGERS');
 		$this->capital = is_numeric(getDolGlobalString('MAIN_INFO_CAPITAL')) ? (float) price2num(getDolGlobalString('MAIN_INFO_CAPITAL')) : 0;

########## stripe/admin/stripe.php
